org.apache.torque.generator.control

## Class ExistingTargetStrategyTest

- java.lang.Object
- - org.apache.torque.generator.BaseTest
  - - org.apache.torque.generator.control.ExistingTargetStrategyTest

-     public class ExistingTargetStrategyTest
      extends BaseTest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExistingTargetStrategyTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setUp()`
    `void` | `testAppendStrategy()`
    `void` | `testMergeStrategyChangeGenerationResult()`
    `void` | `testMergeStrategyChangeGenerationResultAndTarget()`
    `void` | `testMergeStrategyChangeTarget()`
    `void` | `testMergeStrategyNoNewlineAtEndOfFile()`
    `void` | `testReplaceStrategy()`
    `void` | `testSkipStrategy()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExistingTargetStrategyTest

          public ExistingTargetStrategyTest()

  - ### Method Detail

    - #### setUp

          @BeforeEach
          public void setUp()
                                  throws IOException

      Throws:
        `IOException`

    - #### testReplaceStrategy

          @Test
          public void testReplaceStrategy()
                                          throws Exception

      Throws:
        `Exception`

    - #### testMergeStrategyChangeGenerationResult

          @Test
          public void testMergeStrategyChangeGenerationResult()
                                                              throws Exception

      Throws:
        `Exception`

    - #### testMergeStrategyChangeTarget

          @Test
          public void testMergeStrategyChangeTarget()
                                                    throws Exception

      Throws:
        `Exception`

    - #### testMergeStrategyChangeGenerationResultAndTarget

          @Test
          public void testMergeStrategyChangeGenerationResultAndTarget()
                                                                       throws Exception

      Throws:
        `Exception`

    - #### testMergeStrategyNoNewlineAtEndOfFile

          @Test
          public void testMergeStrategyNoNewlineAtEndOfFile()
                                                            throws Exception

      Throws:
        `Exception`

    - #### testSkipStrategy

          @Test
          public void testSkipStrategy()
                                       throws Exception

      Throws:
        `Exception`

    - #### testAppendStrategy

          @Test
          public void testAppendStrategy()
                                         throws Exception

      Throws:
        `Exception`

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.